/*
Copyright (C) 1999/2000 Hendrik Lipka.
All rights reserved.

This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation;
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
for more details.

You should have received a copy of the GNU General Public License along with this
program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave,
Cambridge, MA 02139, USA or see http://www.gnu.org

If you encounter problems or have a suggestion, please mail to:
hli@hendriklipka.de
*/
package de.hendriklipka.pdfconv;

import java.io.FileWriter;
import java.io.IOException;
import java.io.PrintWriter;

public class BookWriter extends DocumentWriter
{

    public void open(String fileBaseName) throws IOException
    {
        _writer=new PrintWriter(new FileWriter(fileBaseName+".txt"));
    }

    public void writeHeader(String targetBaseName)
    {
        if (null!=_writer)
        {        
           _writer.println(".title "+targetBaseName);
           _writer.println(".isbn " +targetBaseName);
        }
    }

    public void writeFooter()
    {
    }

    public void addImage(String fileName)
    {
        if (null!=_writer)
            _writer.println(".picture \":Macintosh HD:Documents:PDFConvert:" + fileName + "\"");
    }

    public void close()
    {
        if (null!=_writer)
            _writer.close();
    }
}
